{% extends 'base.html.twig' %}

{% block title %}{{ 'user.alerts.head.title'|trans({'%app_name%': 'app.name'|trans})|raw }}{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-lg-9">
                <h1 class="text-center mb-4">{{ 'user.alerts.title'|trans|raw }}</h1>

                <div class="row">
                    {% for alert in alerts%}
                        <div class="col-sm-6 col-lg-4 js-user-alert" data-user-alert="{{ alert.id }}">
                            <div class="card text-center">
                                <div class="card-header">
                                    <a href="{{ path('app_alert_see', {'slug': alert.slug}) }}" class="card-title h5 m-auto">{{ 'user.alerts.alert.title'|trans({"%keyword%": alert.keyword})|raw }}</a>
                                </div>
                                <div class="card-body">
                                    <p class="">{{'user.alerts.alert.min_rating'|trans({"%value%": alert.minRating})|raw}}</p>

                                    <div class="form-check text-start">
                                        <input class="form-check-input js-alert-send-mail" type="checkbox" value="" id="sendEmail{{ alert.id }}" {% if alert.sendMail %}checked{% endif %}>
                                        <label class="form-check-label card-text" for="sendEmail{{ alert.id }}">
                                            {{ 'user.alerts.alert.send_email'|trans|raw }}
                                        </label>
                                    </div>
                                </div>
                                <div class="card-footer text-muted">
                                    <a href="#" class="bi bi-trash-fill text-danger js-alert-delete" title="{{ 'user.alerts.alert.delete'|trans|raw }}"></a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>

            <div class="col-lg-3">
                    <div class="card h-auto">
                        <div class="card-header">
                            {{ "user.alerts.create.title"|trans|raw }}
                        </div>
                        <div class="card-body">
                            {{ form(form) }}
                            <p class="text-muted"><span class="text-danger">* </span>{{ 'form.required'|trans|raw }}</p>
                        </div>
                    </div>

                {{ include('layout/deal-hot-day-list.html.twig') }}
            </div>
        </div>
    </div>
{% endblock %}
